#ifndef	DRAW_H
#define	DRAW_H

#include "psys.h"

typedef struct draw_context_s
{
	GLfloat rotx, rotz;
	GLfloat rotz_omega;
	GLfloat zoom, vdx, vdy, vdz;
	GLuint circles_lo, circles_hi;
	vboolean inner_grid, outer_grid, perspective;
	vboolean antialias;
	vboolean variable_linewidth;
	vboolean draw_lines_to_baseplane;
	vec_t scale_base;
	vec_t view_scale, scale_exp, scale_mnt;
	s32_t view_width, view_height;
	vec_t view_aspect;
	s32_t max_fps;
	vboolean fullscreen, clip;
	u32_t last_draw_time;
	u32_t draw_cpu;
	vec_t cur_fps;

	vboolean shedule_snapshot;
}	draw_context_t, *draw_context_p;

vboolean drawInitContext(particle_system_p ps,vhandle_t lexer);
void viewSave(particle_system_p ps, u32_p counter);

#endif /* !DRAW_H */
